std::flat_map::value_compare(3)

NAME
std::flat_map::value_compare - std::flat_map::value_compare

Synopsis
   class value_compare; (since C++23)
   std::flat_map::value_compare is a function object that compares objects of type
   std::flat_map::const_reference (a pair of references to the stored key/value) by
   comparing the first components (i.e. keys) of the passed pairs.

Member objects
   Member name Definition
   comp (private) the comparison function object of type std::flat_map::key_compare
                  (exposition-only member object*)

Member functions
   constructor constructs value_compare object
   (private) (public member function)
   operator() compares two values of type value_type
                 (public member function) std::flat_map<Key,T,Compare,KeyContainer,MappedContainer>::value_compare::value_compare
   private: (exposition only*)
   value_compare( key_compare c );
   Initializes the underlying instance of the comparator comp to c.

Parameters
   c - a comparator to assign std::flat_map<Key,T,Compare,KeyContainer,MappedContainer>::value_compare::operator()
   bool operator()( const const_reference& lhs, const const_reference& rhs ) const;
   Compares lhs.first and rhs.first by calling the stored comparator comp.

Parameters
   lhs, rhs - values to compare

Return value
   comp(lhs.first, rhs.first)

Exceptions
   May throw implementation-defined exceptions.